package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ety;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EtyMapper {

    int insert(Ety record);

    int insertSelective(Ety record);

    int updateByPrimaryKeySelective(Ety record);

    int updateByPrimaryKey(Ety record);

    int deleteByPrimaryKey(Ety record);

    int deleteByIds(Collection<Object> collection);

    Ety selectByPrimaryKey(Ety record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ety> dyncRead(Map<String,Object> dyncMap);

    Ety getEtyByExtkey(String extkey);

}